﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace Module3.ViewModels
{
	public class Module3VM : ViewModelBase
	{
		public Module3VM()
		{
			this.Header = "Group 1.2";
			this.Items = new ObservableCollection<DataItem>();

			DataItem button = new DataItem()
			{
				Type = ElementType.Button,
				Text = "RibbonButton",
				MyCommand = new DelegateCommand(new Action<object>(Module3Command)) 
			};
			this.Items.Add(button);

			DataItem splitButton = new DataItem()
			{
				Type = ElementType.SplitButton,
				Text = "RibbonSplitButton",
				MyCommand = new DelegateCommand(new Action<object>(Module3Command)) 
			};
			for (int i = 0; i < 5; i++)
			{
				splitButton.Children.Add(new DataItem() { Text = String.Format("Option {0}", i) });
			}
			this.Items.Add(splitButton);

			DataItem dropDownButton = new DataItem()
			{
				Type = ElementType.DropDownButton,
				Text = "RibbonDropDownButton",
				MyCommand = new DelegateCommand(new Action<object>(Module3Command)) 
			};
			for (int i = 0; i < 5; i++)
			{
				dropDownButton.Children.Add(new DataItem() { Text = String.Format("Option {0}", i) });
			}
			this.Items.Add(dropDownButton);

			DataItem comboBox = new DataItem()
			{
				Type = ElementType.ComboBox,
				Text = "RibbonComboBox",
				MyCommand = new DelegateCommand(new Action<object>(Module3Command)) 
			};
			for (int i = 0; i < 5; i++)
			{
				comboBox.Children.Add(new DataItem() { Text = String.Format("Option {0}", i) });
			}
			this.Items.Add(comboBox);
		}
		public string Header { get; set; }
		public ObservableCollection<DataItem> Items { get; set; }

		public void Module3Command(object parameter)
		{
			MessageBox.Show(parameter.ToString());
		}

	}
}
